#ifndef SWA_ERROR_VIEW_H
#define SWA_ERROR_VIEW_H
#include<gtkmm.h>
using namespace Gtk;
using namespace Glib;
#include <string>

class CErrorViewColumn : public TreeModel::ColumnRecord
{
public:
	CErrorViewColumn()
	{
		add ( m_uiModuleId );
		add ( m_strModuleName );
		add ( m_uiErrorNo );
		add ( m_strErrorText );
	}

public:
	TreeModelColumn< unsigned >	m_uiModuleId;
	TreeModelColumn< ustring >	m_strModuleName;
	TreeModelColumn< unsigned >	m_uiErrorNo;
	TreeModelColumn< ustring >	m_strErrorText;
};

class CErrorView : public ScrolledWindow
{
protected:
	TreeView						m_TreeView;
	Glib::RefPtr< Gtk::ListStore >	m_pTreeModel;
	CErrorViewColumn				m_Column;
public:
	CErrorView();
	virtual ~CErrorView();
	void OnNotifyError ( unsigned int uiModuleId , unsigned int uiErrorNo , char* pErrorText );
	void Reset();
};
#endif


