#ifndef SWA_PROJ_FILE_TREE_ITEM_H
#define SWA_PROJ_FILE_TREE_ITEM_H

#include <gtkmm.h>
using namespace Gtk;
using namespace Glib;
#include <giomm.h>
using namespace Gio;
#include <string>
using namespace std;

enum
{
	PROJ_FILE_TREE_FOLDER = 0,
	PROJ_FILE_TREE_FILE,
};

class CProjFileTreeItem
{
public:
	CProjFileTreeItem();
	virtual ~CProjFileTreeItem();
	virtual void Save( RefPtr< FileOutputStream > pFileOutputStream, int nChildCount, const string& strName );
	virtual void Load( RefPtr< FileInputStream > pFileInputStream );
	virtual int GetChildCount() const;
	virtual string GetItemName() const;
protected:
	int m_nItemType;
	int m_nChildCount;
	string m_strItemName;
};

#endif


