#ifndef SWA_VIEW_MANAGER_H
#define SWA_VIEW_MANAGER_H
#include <gtkmm.h>
using namespace Gtk;
using namespace Glib;
#include <giomm.h>
using namespace Gio;
#include <vector>
using namespace std;
#include "ModuleGraphView.h"
class CViewManager : public Notebook
{
protected:
	Menu m_mwPopupMenu;
	//int m_nNowPage;
public:
	CViewManager();
	virtual ~CViewManager();
	void AddModule();
	virtual void AddModuleGraphView();
	virtual void AddSourceTextView( RefPtr< File > pFile, const ustring& strName, bool bDialog = true );
	virtual bool IsOpened( RefPtr< File > pFile );
	virtual bool IsSelected( RefPtr< File > pFile );
	virtual void SelectPage( RefPtr< File > pFile );
	CModuleGraphView* GetModuleGraphView();
	virtual void OnCloseAllMenu();
protected:
	virtual void on_switch_page( GtkNotebookPage* pnpNotebookPage, guint uiPageNumber );
	virtual bool on_button_press_event( GdkEventButton* pebEventButton );
	virtual bool on_button_release_event( GdkEventButton* pebEventButton );
	virtual void OnRefreshMenu();
	virtual void OnRefreshAllMenu();
	virtual void OnCloseMenu();
	virtual void OnCloseAllButThisMenu();
	
};
#endif


