#include "ProcessView.h"
#include <iostream>	// TEST CODE
using namespace std;
#include "MainFrame.h"
CProcessView::CProcessView():
ScrolledWindow()
{
	add( m_TextView );
	set_policy( Gtk::POLICY_AUTOMATIC, Gtk::POLICY_AUTOMATIC );
	m_TextView.set_editable( false );
	//m_TextView.get_buffer()->set_text( "Test" );
	show_all_children();
}
CProcessView::~CProcessView()
{

}
void CProcessView::OnNotifyProcessState ( CNotifyProcessState* pProcessState )
{
	unsigned uiModuleId = pProcessState->m_uiModuleId;
	char* pszModuleName = g_pmfMainFrame->GetModuleName( uiModuleId );
	if ( pszModuleName == NULL )
	{
		return;
	}
	//ustring strText = pProcessState->m_pszText;
	ustring strAdd = ustring::compose( "[%1 : %2] %3\n", uiModuleId, pszModuleName, pProcessState->m_pszText );
	RefPtr< TextBuffer > pTextBuffer = m_TextView.get_buffer();
	pTextBuffer->insert( pTextBuffer->end(), strAdd );

	//pProcessState->m_nProcessRate; // ó ? ?
}
void CProcessView::Reset()
{
	m_TextView.get_buffer()->set_text("");
}

