#include "ProjFileTreeItem.h"
#include <iostream>	// TEST CODE
using namespace std;
CProjFileTreeItem::CProjFileTreeItem()
{

}
CProjFileTreeItem::~CProjFileTreeItem()
{

}
void CProjFileTreeItem::Save( RefPtr< FileOutputStream > pFileOutputStream, int nChildCount, const string& strName )
{
	pFileOutputStream->write( &m_nItemType, sizeof( m_nItemType ) );
	pFileOutputStream->write( &nChildCount, sizeof( nChildCount ) );
	int nNameLength = int( strName.size() );
	pFileOutputStream->write( &nNameLength, sizeof( nNameLength ) );
	pFileOutputStream->write( strName );
}
void CProjFileTreeItem::Load( RefPtr< FileInputStream > pFileInputStream )
{
	pFileInputStream->read( &m_nChildCount, sizeof( m_nChildCount ) );
	int nItemNameLength;
	pFileInputStream->read( &nItemNameLength, sizeof( nItemNameLength ) );
	char* pszItemName = new char [ nItemNameLength + 1 ];
	pFileInputStream->read( pszItemName, nItemNameLength );
	pszItemName [ nItemNameLength ] = 0;
	m_strItemName = pszItemName;
	delete [] pszItemName;
}
int CProjFileTreeItem::GetChildCount() const
{
	return m_nChildCount;
}
string CProjFileTreeItem::GetItemName() const
{
	return m_strItemName;
}


