#ifndef SWA_TAB_VIEW_H
#define SWA_TAB_VIEW_H
#include <gtkmm.h>
using namespace Gtk;
#include "SourceFileTree.h"
#include "ModuleFileTree.h"

class CTabView : public Notebook
{
protected:
	ScrolledWindow m_swwSourceFileTree;
	ScrolledWindow m_swwModuleFileTree;
	CSourceFileTree m_twSourceFileTree;
	CModuleFileTree m_twModuleFileTree;
public:
	CTabView();
	virtual ~CTabView();
	virtual void on_switch_page( GtkNotebookPage* pnpNotebookPage, guint uiPageNumber );
	virtual void Reset();
	virtual void SetProjectName( const ustring& strProjectName );
	virtual void SaveAs( RefPtr< FileOutputStream > pFileOutputStream );
	virtual void Open( RefPtr< FileInputStream > pFileInputStream );
	CModuleFileTree* GetModuleFileTree();
protected:
};
#endif


